Bug 1864 - (int-66316) Incorrect locale aliasing in X library
(int-66316)
: Incorrect locale aliasing in X library
Status: RESOLVED FIXED
Product: Core
X Server
: 3.2
: All Maemo
: Low normal (vote)
: ---
Assigned To: unassigned
: x-server-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2007-08-20 21:30 UTC by Victor Wagner
Modified: 2008-12-06 16:04 UTC (History)
0 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Victor Wagner (reporter) 2007-08-20 21:30:56 UTC
File /usr/share/X11/locale/locale.alias contains alias which maps locale
ru_RU to ru_RU.ISO8859-5. However, such locale doesn't exist in the C library.
Only russian locale present is ru_RU.UTF-8 (named just ru_RU).

This causes problems with entering cyrillic letters from external (i.e.
bluetooth) keyboard.
Comment 1 Jake Kunnari 2007-08-21 13:45:28 UTC
Bug accepted and forwarded to development.
Comment 2 Jake Kunnari 2007-11-26 15:56:15 UTC
Fixed in OS 2008.